GDBserver

Classes | Macros | Enumerations
format.h File Reference

Go to the source code of this file.

## Classes
struct | format_piece
class | format_pieces

## Macros
#define | USE_PRINTF_I64 0

## Enumerations
enum | argclass { literal_piece, int_arg, long_arg, long_long_arg, ptr_arg, string_arg, wide_string_arg, wide_char_arg, double_arg, long_double_arg, dec32float_arg, dec64float_arg, dec128float_arg }

## Macro Definition Documentation

## ◆ USE_PRINTF_I64

#define USE_PRINTF_I64 0

Definition at line 27 of file format.h.

Referenced by format_pieces::format_pieces().

## Enumeration Type Documentation

## ◆ argclass

enum argclass

Enumerator
literal_piece |
int_arg |
long_arg |
long_long_arg |
ptr_arg |
string_arg |
wide_string_arg |
wide_char_arg |
double_arg |
long_double_arg |
dec32float_arg |
dec64float_arg |
dec128float_arg |

Definition at line 36 of file format.h.